import { ICalculaterState, EInputTypes } from '../types';
export interface IInputDigit {
    type: EInputTypes.inputDigit;
    payload: string | null;
}
export interface IInputDot {
    type: EInputTypes.inputDot;
}
export interface IInputPercent {
    type: EInputTypes.inputPercent;
}
export interface IToggleSign {
    type: EInputTypes.toggleSign;
}
export interface IClearLastChar {
    type: EInputTypes.clearLastChar;
}
export interface IClearDisplay {
    type: EInputTypes.clearDisplay;
}
export interface IPerformOperation {
    type: EInputTypes.performOperation;
    payload: number | string | null;
}
export interface IClearAll {
    type: EInputTypes.clearAll;
}
export declare const initialState: ICalculaterState;
export declare const calculatorReducer: (state: ICalculaterState, action: IInputDigit | IInputDot | IInputPercent | IToggleSign | IClearLastChar | IClearDisplay | IPerformOperation | IClearAll) => ICalculaterState;
